<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title text-center>
      Informação ({{date}})
    </ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding class="content_general">
  <div *ngIf="showInfo">
    <br>

    <ion-list>
      <ion-list-header text-center class="list-title">
        {{text_general_travel_info}}
      </ion-list-header>
      <ion-item>
        <ion-grid>
          <ion-row>
            <ion-col>
              {{text_general_travel_info_line}} :
            </ion-col>
            <ion-col text-left class="list-content" col-9>
              {{travel.get_linha()}}
            </ion-col>
          </ion-row>
        </ion-grid>
      </ion-item>
      <ion-item>
        <ion-grid>
          <ion-row>
            <ion-col>
              {{text_general_travel_departure_time}} :
            </ion-col>
            <ion-col text-left col-9>
              <button ion-button outline round>{{travel.get_horario_partida()}}</button>
            </ion-col>
          </ion-row>
        </ion-grid>
      </ion-item>
      <ion-item>
        <ion-grid>
          <ion-row>
            <ion-col>
              {{text_general_travel_arrival_time}} :
            </ion-col>
            <ion-col text-left col-9>
              <button ion-button outline round>{{travel.get_horario_chegada()}}</button>
            </ion-col>
          </ion-row>
        </ion-grid>
      </ion-item>
    </ion-list>

    <br>

    <ion-list>
      <ion-list-header text-center class="list-title">
        {{text_bus_travel_info}}
      </ion-list-header>
      <ion-item>
        <ion-grid>
          <ion-row>
            <ion-col>
              {{text_bus_travel_info_model}} :
            </ion-col>
            <ion-col text-left class="list-content" col-9>
              {{travel.get_onibus().get_modelo()}}
            </ion-col>
          </ion-row>
        </ion-grid>
      </ion-item>
      <ion-item>
        <ion-grid>
          <ion-row>
            <ion-col>
              {{text_bus_travel_info_brand}} :
            </ion-col>
            <ion-col text-left class="list-content" col-9>
              {{travel.get_onibus().get_marca()}}
            </ion-col>
          </ion-row>
        </ion-grid>
      </ion-item>
      <ion-item>
        <ion-grid>
          <ion-row>
            <ion-col>
              {{text_bus_travel_info_amount_seats}} :
            </ion-col>
            <ion-col text-left col-9>
              <button ion-button color="secondary" round>{{travel.get_onibus().quantidade_assentos()}} </button>
            </ion-col>
          </ion-row>
        </ion-grid>
      </ion-item>
      <ion-item>
        <ion-grid>
          <ion-row>
            <ion-col>
              {{text_bus_travel_info_amount_seats_preferential}} :
            </ion-col>
            <ion-col text-left col-9>
              <button ion-button round>{{travel.get_onibus().quantidade_assentos_preferenciais()}}</button>
            </ion-col>
          </ion-row>
        </ion-grid>
      </ion-item>
      <ion-item>
        <ion-grid>
          <ion-row>
            <ion-col>
              {{text_bus_travel_info_amount_seats_booked}} :
            </ion-col>
            <ion-col text-left col-9>
              <button ion-button color="danger" round>{{travel.get_onibus().quantidade_assentos_ocupados()}}</button>
            </ion-col>
          </ion-row>
        </ion-grid>
      </ion-item>
    </ion-list>

    <br>
    <ion-list>
      <ion-list-header text-center class="list-title">
        {{text_driver_travel_info}}
      </ion-list-header>
      <ion-item>
        <ion-grid>
          <ion-row>
            <ion-col>
              {{text_driver_travel_info_name}} :
            </ion-col>
            <ion-col text-left class="list-content" col-9>
              {{travel.get_motorista().get_nome()}}
            </ion-col>
          </ion-row>
        </ion-grid>
      </ion-item>
      <ion-item>
        <ion-grid>
          <ion-row>
            <ion-col>
              {{text_driver_travel_info_email}} :
            </ion-col>
            <ion-col text-left class="list-content" col-9>
              {{travel.get_motorista().get_email()}}
            </ion-col>
          </ion-row>
        </ion-grid>
      </ion-item>
    </ion-list>

    <br>
    <ion-list>
      <ion-list-header text-center class="list-title">
        {{text_stop_travel_info}}
      </ion-list-header>
      <ion-item *ngFor="let stop of travel.get_paradas()">
        <ion-grid>
          <ion-row>
            <ion-col text-left class="list-content" col-9>
              {{stop.get_endereco()}}
            </ion-col>
          </ion-row>
        </ion-grid>
      </ion-item>
    </ion-list>

    
  </div>
</ion-content>
